# SetMaxLogFileSize

### void SetMaxLogFileSize(short nMegaByte)

EZGemPlus에 Log파일의 최대 파일 사이즈를 설정하는 함수.

입력 값의 메가바이트 단위로 로그파일을 분리하여 저장 해 줍니다.

Parameters

<table data-header-hidden><thead><tr><th width="156" valign="top"></th><th width="84" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nMegaByte</td><td valign="top">short</td><td valign="top">설정(변경)하고자 하는 값 (Default Max File Size = 10 Mega Bytes)</td></tr></tbody></table>

```csharp
short newLimit = 50; // 50 Mega Bytes
m_gem.SetMaxLogFileSize(newLimit); // 함수 호출
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/setmaxlogfilesize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
